Interface Quotes
- All Known Implementing Classes:
QuotesImpl
public interface Quotes
Client interface for retrieving quotes in the Equinix Customer Portal.
Backed by the Quotes v2 API at /v2/quotes/{quoteId}. The API exposes only retrieval
of an individual quote by id (there is no collection, create or refresh endpoint).
-
Method Summary
-
Method Details
-
getByUuid
-
getByUuid
Retrieves a specific quote by its identifier, scoped to the supplied IBXs.Maps to
GET /v2/quotes/{quoteId}(Retrieve a quote) with theibxsquery parameter.- Parameters:
quoteId- the identifier of the quoteibxs- the IBX codes to scope the quote to, ornull/empty for all- Returns:
- the matching quote
-